package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysSourceDefault;

/**
 * 资源位默认配置Service接口
 * 
 * @author haotian
 * @date 2025-04-21
 */
public interface ISysSourceDefaultService 
{
    /**
     * 查询资源位默认配置
     * 
     * @param id 资源位默认配置主键
     * @return 资源位默认配置
     */
    public SysSourceDefault selectSysSourceDefaultById(Long id);

    /**
     * 查询资源位默认配置列表
     * 
     * @param sysSourceDefault 资源位默认配置
     * @return 资源位默认配置集合
     */
    public List<SysSourceDefault> selectSysSourceDefaultList(SysSourceDefault sysSourceDefault);

    /**
     * 新增资源位默认配置
     * 
     * @param sysSourceDefault 资源位默认配置
     * @return 结果
     */
    public int insertSysSourceDefault(SysSourceDefault sysSourceDefault);

    /**
     * 修改资源位默认配置
     * 
     * @param sysSourceDefault 资源位默认配置
     * @return 结果
     */
    public int updateSysSourceDefault(SysSourceDefault sysSourceDefault);

    /**
     * 批量删除资源位默认配置
     * 
     * @param ids 需要删除的资源位默认配置主键集合
     * @return 结果
     */
    public int deleteSysSourceDefaultByIds(Long[] ids);

    /**
     * 删除资源位默认配置信息
     * 
     * @param id 资源位默认配置主键
     * @return 结果
     */
    public int deleteSysSourceDefaultById(Long id);

    /**
     *
     * 根据资源位id修改默认背景图片
     * */
    public int updateSysSourceDefaultWorkBySourceId(Long sourceId, String workAddress);


    /**
     *更新默认价格
     */
    public int updateDefaultSourcePrice(Long scenicId, String part, String price);

    /**
     * 根据sourceId返回SysSourceDefault
     * */
    public SysSourceDefault getSourceDefaultBySourceId(Long sourceId);
}
